(function (lib, img, cjs, ss) {

var p; // shortcut to reference prototypes
var rect; // used to reference frame bounds

// library properties:
lib.properties = {
	width: 1280,
	height: 720,
	fps: 30,
	color: "#FFFFFF",
	manifest: [
		{src:"images/Bitmap1.png", id:"Bitmap1"},
		{src:"images/Bitmap2.png", id:"Bitmap2"},
		{src:"images/Bitmap3.png", id:"Bitmap3"},
		{src:"images/Bitmap4.png", id:"Bitmap4"},
		{src:"images/Bitmap5.png", id:"Bitmap5"},
		{src:"images/Bitmap6.png", id:"Bitmap6"},
		{src:"images/Bitmap7.png", id:"Bitmap7"}
	]
};



// symbols:



(lib.Bitmap1 = function() {
	this.initialize(img.Bitmap1);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,577,403);


(lib.Bitmap2 = function() {
	this.initialize(img.Bitmap2);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,164,203);


(lib.Bitmap3 = function() {
	this.initialize(img.Bitmap3);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,164,202);


(lib.Bitmap4 = function() {
	this.initialize(img.Bitmap4);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,120,88);


(lib.Bitmap5 = function() {
	this.initialize(img.Bitmap5);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,128,73);


(lib.Bitmap6 = function() {
	this.initialize(img.Bitmap6);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,160,201);


(lib.Bitmap7 = function() {
	this.initialize(img.Bitmap7);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,69,111);


(lib.d3 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap7();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,69,111);
p.frameBounds = [rect];


(lib.d2 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap4();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,120,88);
p.frameBounds = [rect];


(lib.d1 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap5();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,128,73);
p.frameBounds = [rect];


(lib.exerciseContainer = function(mode,startPosition,loop) {
if (loop == null) { loop = false; }	this.initialize(mode,startPosition,loop,{});

	// timeline functions:
	this.frame_0 = function() {
		/* Ustawienia */
		var config = {
			id: '22097',
			title: 'Umieść śmieci w odpowiednich pojemnikach.',
			type: 'drag',
			container: this,
			prefix: 'drag_',
			prefix2: 'drop_',	
			groupdrags: {		
				1: ['1', '2', '3'],
				2: ['4', '5', '6'],
				3: ['7', '8'],
			},
			/*
			groupdrops: {
				1: [1,2,3],
				2: [4,5,6],
				3: [7,8,9]
			},
			*/	
			results: [
				/*drop_1:*/ '1',
				/*drop_2:*/ '1',
				/*drop_3:*/ '1',
				/*drop_4:*/ '2',	
				/*drop_5:*/ '2',	
				/*drop_6:*/ '2',	
				/*drop_7:*/ '3',	
				/*drop_8:*/ '3',		
			],
			range: 20,
			alpha: 0,
			alpha2: 0,
			//scale: 0.8,
			rotation: 'auto',
			//size: 'auto',
			zindex: 3,
			
			exerciseAfterInit: function(container) {
				//container['drag_1'].rotate = 60;
			},
			exerciseBeforeFinish: function(container) {
				
			},
			exerciseExtraCheck: function(config, dragCurrent, dropIndex, isCorrect) {	
				
			},
		}
		
		exerciseOnInit(config);
		
		this.stop();
		
		/*---------------------------------------------------------------------------------------------------------------
		/* Help
		/*---------------------------------------------------------------------------------------------------------------
		 
		id - Id cwiczenia
		title - Tytul cwiczenia
		type - Typ Cwiczenia
		contanier - Kontener cwiczenia
		groupdrags - Lista grup dagow oraz przypisane do nich identyfikatory (unikatowa liczba) obiektow bez prefixow
		groupdrags - Lista grup targetow oraz przypisane do nich identyfikatory (unikatowa liczba) obiektow bez prefixow
		prefix - Prefixy w nazwach obiektow
		results - Rozwiazanie jako tablica identyfikatorow. Znak '|' definuje alternatywe, a '&' oznacza sume.	
		Przyklad:
		Cwiczenie typu sort.
		Odpowiedzi: [5,2,1,4,5] - tablica z ulozonymi w odpowiedniej kolejnisci identyfikatorami obiektow sortowanych.
		Cwiczenie typu drag.
		Odpowiedzi: [5,1|3,2&4] - tablica z id obiektow przeciaganych lub grup. W tym wariancie kazdy kolejny element z indexem 'i' w tablicy odpowiada targetowi o nazwie 'prefix+i'.
		np. prawidlowa odpowiedzia dla drop_1 jest obiekt drag_5, dla drop_2 obiekt drag_1 lub drag_3, dla drop_3 obiekt drag_2 oraz drag_4.
		range - Zakres dociagania
		alpha - Przezroczystosc targetu
		alpha2 - Przezroczystosc targetu po najechaniu
		rotation - Dostosowanie obrotu obiektu do targetu
		scale - Skalowanie obiektu po upuszczeniu
		size - Skalowanie obiektu do rozmiarow targetu
		zindex - Pozycja z obiektu
		/*-------------------------------------------------------------------------------------------------------------*/
	}

	// actions tween:
	this.timeline.addTween(cjs.Tween.get(this).call(this.frame_0).wait(1));

	// Layer 3
	this.drag_6 = new lib.d2();
	this.drag_6.setTransform(1060,509.1,1,1,0,0,0,60,44);

	this.drag_8 = new lib.d3();
	this.drag_8.setTransform(905.9,525.6,1,1,-91,0,0,34.5,55.5);

	this.drag_7 = new lib.d3();
	this.drag_7.setTransform(814.3,442.6,1,1,0,0,0,34.5,55.5);

	this.drag_5 = new lib.d2();
	this.drag_5.setTransform(695.2,491.2,1,1,0,0,0,60,44);

	this.drag_4 = new lib.d2();
	this.drag_4.setTransform(559.3,446.3,1,1,0,0,0,60,44);

	this.drag_2 = new lib.d1();
	this.drag_2.setTransform(1097.4,416.7,1,1,-170.7,0,0,64,36.5);

	this.drag_3 = new lib.d1();
	this.drag_3.setTransform(1198.3,476.6,1,1,145.1,0,0,64,36.5);

	this.drag_1 = new lib.d1();
	this.drag_1.setTransform(591.4,542.7,1,1,0,0,0,64,36.5);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.drag_1},{t:this.drag_3},{t:this.drag_2},{t:this.drag_4},{t:this.drag_5},{t:this.drag_7},{t:this.drag_8},{t:this.drag_6}]}).wait(1));

	// Layer 2
	this.instance = new lib.Bitmap6();
	this.instance.setTransform(848.8,153.4);

	this.instance_1 = new lib.Bitmap3();
	this.instance_1.setTransform(1052.7,152.7);

	this.instance_2 = new lib.Bitmap2();
	this.instance_2.setTransform(635.9,151);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.instance_2},{t:this.instance_1},{t:this.instance}]}).wait(1));

	// content
	this.drop_8 = new lib.d3();
	this.drop_8.setTransform(1167.7,153.5,1,1,9,0,0,34.5,55.5);

	this.drop_7 = new lib.d3();
	this.drop_7.setTransform(1110.6,160.2,1,1,-9.7,0,0,34.6,55.5);

	this.drop_4 = new lib.d2();
	this.drop_4.setTransform(894,160.7,1,1,-128.1,0,0,60.1,44);

	this.drop_5 = new lib.d2();
	this.drop_5.setTransform(924.1,148.7,1,1,-90.2,0,0,60.1,44.1);

	this.drop_6 = new lib.d2();
	this.drop_6.setTransform(952.1,167.4,1,1,-68.5,0,0,60,44.1);

	this.drop_3 = new lib.d1();
	this.drop_3.setTransform(755.8,155.6,1,1,93.7,0,0,64,36.4);

	this.drop_2 = new lib.d1();
	this.drop_2.setTransform(708.8,155.7,1,1,66.2,0,0,64,36.5);

	this.drop_1 = new lib.d1();
	this.drop_1.setTransform(688.4,160.7,1,1,32.2,0,0,64,36.5);

	this.instance_3 = new lib.Bitmap1();
	this.instance_3.setTransform(39.9,16.1);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.instance_3},{t:this.drop_1},{t:this.drop_2},{t:this.drop_3},{t:this.drop_6},{t:this.drop_5},{t:this.drop_4},{t:this.drop_7},{t:this.drop_8}]}).wait(1));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = rect = new cjs.Rectangle(39.9,16.1,1231.8,563.1);
p.frameBounds = [rect];


// stage content:
(lib.index = function() {
	this.initialize();

	// exercise
	this.container = new lib.exerciseContainer();
	this.container.setTransform(916.5,389,1,1,0,0,0,916.5,389);

	this.addChild(this.container);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(679.9,376.1,1231.8,563.1);
p.frameBounds = [rect];

})(lib = lib||{}, images = images||{}, createjs = createjs||{}, ss = ss||{});
var lib, images, createjs, ss;